<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrIndividualLicenseMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrIndividualLicense">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="peId" column="PE_ID" jdbcType="VARCHAR"/>
            <result property="licid" column="LICID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="licno" column="LICNO" jdbcType="VARCHAR"/>
            <result property="licname" column="LICNAME" jdbcType="VARCHAR"/>
            <result property="valfrom" column="VALFROM" jdbcType="DATE"/>
            <result property="valto" column="VALTO" jdbcType="DATE"/>
            <result property="licanth" column="LICANTH" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,PE_ID,LICID,
        PRIPID,LICNO,LICNAME,
        VALFROM,VALTO,LICANTH,
        S_EXT_DATATIME,uni_code
    </sql>
</mapper>
